<?php
//<div class="vertical_menu"> - klasa za vertikalni meni
//<div id="myslidemenu" class="jqueryslidemenu"> - klasa za horizontalni meni

//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
function nukeMagicQuotes() {
  if (get_magic_quotes_gpc()) {
    function stripslashes_deep($value) {
      $value = is_array($value) ? array_map('stripslashes_deep', $value) : stripslashes($value);
      return $value;
      }
    $_POST = array_map('stripslashes_deep', $_POST);
    $_GET = array_map('stripslashes_deep', $_GET);
    $_COOKIE = array_map('stripslashes_deep', $_COOKIE);
    }
  }
function uredi_var($varijabla) {
	$varijabla=str_replace("š","&#353;",$varijabla);
	$varijabla=str_replace("đ","&#273;",$varijabla);
	$varijabla=str_replace("č","&#269;",$varijabla);
	$varijabla=str_replace("ć","&#263;",$varijabla);
	$varijabla=str_replace("ž","&#382;",$varijabla);
	$varijabla=str_replace("Š","&#352;",$varijabla);
	$varijabla=str_replace("Đ","&#272;",$varijabla);
	$varijabla=str_replace("Č","&#268;",$varijabla);
	$varijabla=str_replace("Ć","&#262;",$varijabla);
	$varijabla=str_replace("Ž","&#381;",$varijabla);
	//$varijabla=str_replace("\"","&quot;",$varijabla);	
	return $varijabla;
}

function remove_quotes($varijabla) {
	$varijabla=str_replace("\"","&quot;",$varijabla);
	$varijabla=str_replace("\'","&acute;",$varijabla);
	return $varijabla;
}

function uredi_fajl($varijabla) {
		  $varijabla=trim($varijabla);
		  $varijabla=str_replace("\"","",$varijabla);
		  $varijabla=str_replace("-","_",$varijabla);
		  $varijabla=str_replace("š","s",$varijabla);
		  $varijabla=str_replace("đ","d",$varijabla);
		  $varijabla=str_replace("ć","c",$varijabla);
		  $varijabla=str_replace("č","c",$varijabla);
		  $varijabla=str_replace("ž","z",$varijabla);
		  $varijabla=str_replace("Š","S",$varijabla);
		  $varijabla=str_replace("Đ","D",$varijabla);
		  $varijabla=str_replace("Č","C",$varijabla);
		  $varijabla=str_replace("Ć","C",$varijabla);
		  $varijabla=str_replace("Ž","Z",$varijabla);
		  $varijabla=strtolower($varijabla);
		  $varijabla=str_replace(" ","_",$varijabla);
		  return $varijabla;
	  }
function uredi_sort($varijabla) {
		  $varijabla=trim($varijabla);
		  $varijabla=strtolower($varijabla);
		  $varijabla=str_replace(" ","_",$varijabla);
		  $varijabla=str_replace("\"","",$varijabla);
		  $varijabla=str_replace("-","_",$varijabla);
		  $varijabla=str_replace("š","sz",$varijabla);
		  $varijabla=str_replace("đ","dz",$varijabla);
		  $varijabla=str_replace("ć","cy",$varijabla);
		  $varijabla=str_replace("č","cz",$varijabla);
		  $varijabla=str_replace("ž","zx",$varijabla);
		  return $varijabla;
}

function funkcija_podmeni($conn,$id_kategorija) {
		$submenu='<ul class="acitem">'."\n";
		$sql99="select id_sadrzaj,naslov,link,opis,vidljivost from b7_sadrzaj where id_kategorija='$id_kategorija' and vidljivost!='0' order by pozicija asc";
		$rez99=mysql_query($sql99,$conn);
		if ($rez99) $num99=mysql_num_rows($rez99);
		if ($num99>0) {
			while ($row = mysql_fetch_array($rez99)) {
				$opis=explode ("/", $row['opis']);
				
				if ($opis[0]=='#LINK') {
					$submenu.='<li><a href="'.$row['link'].'"';
					if ($row['vidljivost']==4) $submenu.=' target="_blank"';
					$submenu.='>'.$row['naslov'].'</a></li>'."\n";
				} else if ($opis[0]=='#SUBKAT'){
					$submenu.='<li>';
					$submenu.='<a href="#">'.$row['naslov'].'</a>'."\n";					
					$submenu.=funkcija_podmeni($conn,$opis[1]);
					$submenu.='</li>'."\n";
				} else {
					$submenu.='<li>';
					$submenu.='<a href="index.php?stranica='.$row['id_sadrzaj'].'">'.$row['link'].'</a>';
					$submenu.='</li>'."\n";
				}
				
			}
		}		
		$submenu.='</ul>'."\n";
		return ($submenu);
	}

function kreiraj_meni($conn,$id_kategorija) {	
	//$tekst_novi='<div class="vertical_menu">'."\n";	
	$tekst_novi='';
	$db_tablelink1  = "b7_sadrzaj";
		$sql99="select id_sadrzaj,naslov,link,opis,vidljivost from $db_tablelink1 where id_kategorija='$id_kategorija' and vidljivost!='0' order by pozicija asc";
		$rez99=mysql_query($sql99,$conn);
		if ($rez99) $num99=mysql_num_rows($rez99);
		if ($num99>0) {
			$tekst_novi.='<ul class="sf-menu">'."\n";
			while ($row = mysql_fetch_array($rez99)) {
				
				$opis=explode ("/", $row['opis']);
				
				if ($opis[0]=='#LINK') {
					$tekst_novi.='<li><a href="'.$row['link'].'"';
					if ($row['vidljivost']==4) $tekst_novi.=' target="_blank"';
					$tekst_novi.='>'.$row['naslov'].'</a></li>'."\n";
				} else if ($opis[0]=='#SUBKAT'){
					$tekst_novi.='<li>';
					$tekst_novi.='<a href="#">'.$row['naslov'].'</a>'."\n";					
					$tekst_novi.=funkcija_podmeni($conn,$opis[1]);
					$tekst_novi.='</li>'."\n";
				} else {
					$tekst_novi.='<li>';
					$tekst_novi.='<a href="index.php?stranica='.$row['id_sadrzaj'].'">'.$row['link'].'</a>';
					$tekst_novi.='</li>'."\n";
				}			
				
			}
			$tekst_novi.='</ul>'."\n";
		}
	//$tekst_novi.='</div>'."\n";
	//spremi meni u file
	$putanja='../inc/menu/menu'.$id_kategorija.'.php';
	$file2open = $putanja;
	if (!$listfile = fopen($file2open, 'w'))
	{
		$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
	} else
	{
		fwrite($listfile, $tekst_novi);
		if (!fclose($listfile))
		{
			$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
		}
	}
}

function E($Line)  {  echo($Line."\n");  }

function datum_pretvori_normal2($datum_sql)
{
$datum=explode ("-", $datum_sql);
$new_datum=$datum[2].'.'.$datum[1].'.'.$datum[0];
return ($new_datum);
}

function display_error($error)
{
	E ('<div class="greska">');
	echo $error;
	E ('</div>');
}
function display_uspjeh($uspjeh)
{
	E ('<div class="uspjeh">');
	echo $uspjeh;
	E ('</div>');
}
?>
